This file lists the user-visible interesting changes between releases. For a
full list of changes to the source, see the ChangeLog.



irc-fun-client 0.5.0.0 -- 2016-01-27
====================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* `ircNoticeTo*` functions for sending notices instead of regular privmsg
* Move from `String` to strict `Text`
* TLS support
* The process of reading from the socket and examining the data now provides
  more details about the results, nothing is discarded

Bug fixes:

* (None)

Dependency changes:

* Add     bytestring
          connection         >= 0.2
          data-default-class
          hashable
          irc-fun-types
          text
* Require irc-fun-messages   >= 0.3
* Remove  network





irc-fun-client 0.4.0.0 -- 2015-12-16
====================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Prefix `Connection` record field names with `conn` to avoid collisions
* Add IRC receiving function variants for debugging

Bug fixes:

* (None)

Dependency changes:

* (None)





irc-fun-client 0.3.0.0 -- 2015-10-17
====================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Add Pong event
* Add action message events (/me)

Bug fixes:

* (None)

Dependency changes:

* (None)





irc-fun-client 0.2.0.0 -- 2015-09-22
====================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* New event constructor, NickChange
* Channel logger can log nick changes
* New nickname tracker function, changeNick

Bug fixes:

* (None)

Dependency changes:

* (None)





irc-fun-client 0.1.1.0 -- 2015-09-10
====================================

General, build and documentation changes:

* (None)

New APIs, features and enhancements:

* Basic channel logger API
* Efficient and scalable time getter
* Channel member tracker

Bug fixes:

* (None)

Dependency changes:

* Add dependency: auto-update
* Add dependency: fast-logger
* Add dependency: time
* Add dependency: time-units
* Add dependency: unordered-containers





irc-fun-client 0.1.0.0 -- 2015-08-09
====================================

General, build and documentation changes:

* (This is the first release, so everything is new)

New APIs, features and enhancements:

* (This is the first release, so everything is a new feature)

Bug fixes:

* (This is just the first release, many bugs haven't been discovered yet)

Dependency changes:

* (This is the first release)
